From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/opentelemetry-semantic-conventions/
Date: Fri, 8 Nov 2024 20:27:06 +0000 (UTC) [thread overview]
Message-ID: <1731097621.16b5ec9ce9d70bc353f5247fc93b1a8c907e3079.mgorny@gentoo> (raw)
commit: 16b5ec9ce9d70bc353f5247fc93b1a8c907e3079
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 8 20:17:47 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Nov 8 20:27:01 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=16b5ec9c
dev-python/opentelemetry-semantic-conventions: Bump to 1.28.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
.../opentelemetry-semantic-conventions/Manifest | 1 +
...pentelemetry-semantic-conventions-1.28.1.ebuild | 52 ++++++++++++++++++++++
2 files changed, 53 insertions(+)
diff --git a/dev-python/opentelemetry-semantic-conventions/Manifest b/dev-python/opentelemetry-semantic-conventions/Manifest
index 3df39c104c81..d5c524a40ebe 100644
--- a/dev-python/opentelemetry-semantic-conventions/Manifest
+++ b/dev-python/opentelemetry-semantic-conventions/Manifest
@@ -1,2 +1,3 @@
DIST opentelemetry-python-1.27.0.gh.tar.gz 619819 BLAKE2B d861624821cef77cb4cc81a0d04fd9f238f7363122d0fab34433856458bb06f47b7a04022b29dfdbba2d190159e9b2ffe813f0d56ac9473b44c084b764c982e4 SHA512 d8b5a617c7e804b4e6e1b508395e87481a3dcc3b375573110750830a1cf6037cfeb5c09dba3e7cfa472e385dbf619afedd79b1c31c5bfe4e87d44ea65f4d2f0b
DIST opentelemetry-python-1.28.0.gh.tar.gz 637413 BLAKE2B e5897c671d95260b38e489a78b879d050355bc319748c3ac712f5e20b41cc1914963c9d835ecd2198f3965e72a429c772287a8d0f45186ec41b3a8bab2764bfa SHA512 1fff73bcd6d9a4bd33e29687674a87d9a1d293964c8d9fdac3122447bd5397161a27186c8cf123d6edef21a9227071a9fe13687593d6923db10dbb96f1e92312
+DIST opentelemetry-python-1.28.1.gh.tar.gz 639245 BLAKE2B f1d0b6518e0410bfcdbc7c404cd46a09427d07dc82ad8914cd527048dc68042010523a7d08a76286a4086d3f8bcb97fac8e9e2b70ca0df1071be760bc639c244 SHA512 898ae42c1a04e186fb09c51ea7ff39f729c3ccfb2a9e08f3822cd15049a4fb499bfcb3bf7ff153ab76ab52089441c6c86d5a31d12af9dc1e372487431ca5234b
diff --git a/dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.28.1.ebuild b/dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.28.1.ebuild
new file mode 100644
index 000000000000..d6be87846142
--- /dev/null
+++ b/dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.28.1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1 pypi
+
+MY_P="opentelemetry-python-${PV}"
+DESCRIPTION="OpenTelemetry Semantic Conventions"
+HOMEPAGE="
+ https://opentelemetry.io/
+ https://pypi.org/project/opentelemetry-sdk/
+ https://github.com/open-telemetry/opentelemetry-python/
+"
+SRC_URI="
+ https://github.com/open-telemetry/opentelemetry-python/archive/refs/tags/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/${PN}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/deprecated-1.2.6[${PYTHON_USEDEP}]
+ ~dev-python/opentelemetry-api-${PV}[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ cp -a "${BUILD_DIR}"/{install,test} || die
+ local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
+
+ for dep in opentelemetry-sdk tests/opentelemetry-test-utils; do
+ pushd "${WORKDIR}/${MY_P}/${dep}" >/dev/null || die
+ distutils_pep517_install "${BUILD_DIR}"/test
+ popd >/dev/null || die
+ done
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
next reply other threads:[~2024-11-08 20:27 UTC|newest]
Thread overview: 24+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-11-08 20:27 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-13 7:20 [gentoo-commits] repo/gentoo:master commit in: dev-python/opentelemetry-semantic-conventions/ Michał Górny
2025-02-22 9:20 Michał Górny
2025-02-22 9:02 Arthur Zamarin
2025-02-05 8:06 Michał Górny
2024-12-28 10:53 Michał Górny
2024-12-28 10:45 Arthur Zamarin
2024-12-12 4:15 Michał Górny
2024-12-07 15:43 Michał Górny
2024-12-07 12:48 Sam James
2024-11-19 4:42 Michał Górny
2024-11-06 7:11 Michał Górny
2024-10-26 13:10 Michał Górny
2024-10-26 13:01 Michał Górny
2024-10-10 16:25 Michał Górny
2024-07-06 18:09 Michał Górny
2024-04-14 18:55 Arthur Zamarin
2024-04-14 18:55 Arthur Zamarin
2024-04-14 18:27 Arthur Zamarin
2024-04-14 18:02 Arthur Zamarin
2024-04-14 2:43 Michał Górny
2024-04-13 20:55 Arthur Zamarin
2024-03-29 19:13 Michał Górny
2024-03-29 15:28 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1731097621.16b5ec9ce9d70bc353f5247fc93b1a8c907e3079.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox